%global momorel 2
%global         qtver 4.6.3
%global         kdever 4.4.5
%global         kdelibsrel 1m
%global         qtdir %{_libdir}/qt4
%global         kdedir /usr
%global         ktorrent_ver 4.0.2

Summary:        library for KTorrent
Name:           libktorrent
Version:        1.0.2
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/Internet
URL:            http://ktorrent.org/
Source0:        http://ktorrent.org/downloads/%{ktorrent_ver}/%{name}-%{version}.tar.bz2
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       kdelibs >= %{kdever}-%{kdelibsrel}
Requires:       qt >= %{qtver}
BuildRequires:  qt-devel >= %{qtver}
BuildRequires:  kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires:  cmake
BuildRequires:  avahi-devel
BuildRequires:  strigi-devel >= 0.6.3-2m

%description
Libktorrent contains all the torrent downloading code, and ktorrent contains all application code and plugins.
The goal is to make libktorrent an independent library (though still closely related to ktorrent), which can be used by other applications.

%package devel
Summary: Headers and libraries for building apps that use ktorrent
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel
Requires: qt-devel

%description devel
The headers and libraries used for developing applications on top of libktorrent.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog
%{_kde4_libdir}/%{name}.so.*

%files devel
%defattr(-, root, root)
%{_kde4_includedir}/%{name}
%{_kde4_libdir}/%{name}.so
%{_kde4_appsdir}/cmake/modules/FindKTorrent.cmake

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-2m)
- full rebuild for mo7 release

* Fri Jul  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-2m)
- rebuild against qt-4.6.3-1m

* Tue Jun 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Tue May 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Tue May  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.1.1m)
- initial release for Momonga Linux
